@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.form-section {
  .container {
    display: flex;
    max-width: @container_width;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-evenly;
    margin: 0 auto;
    padding: 0 0 100px;
    text-align: center;
    color: @primary_color;

    @media (max-width: @screen_tablet) {
      padding: 0 40px 100px;
      margin: 0 auto;
    }

    .title {
      color: @primary_color;
      font-size: 38px;
      font-weight: 600;
      line-height: 1.2;
      margin: 0;
      padding: 0 0 30px;
      font-family: @font_primary;
      width: 40%;

      @media (max-width: @screen_desktop) {
        font-size: 28px;
      }

      @media (max-width: @screen_tablet) {
        font-size: 24px;
        padding-bottom: 30px;
        width: 100%;
      }
    }

    .form {
      & {
        max-width: 400px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border-radius: 5px;
        padding: 25px 50px;
        background-color: @bg_form;
        font-family: @font_second;
        font-weight: 400;
        letter-spacing: 1px;
        width: 65%;

        @media (max-width: @screen_tablet) {
          font-size: 13px;
          padding: 20px 30px;
          width: 100%;
        }
      }

      .label {
        padding-bottom: 10px;
      }

      .input {
        & {
          color: @primary_color;
          font-family: @font_primary;
          display: block;
          width: 100%;
          padding: 5px 10px;
          border-radius: 5px;
          margin: 0 auto 15px;
          font-size: 12px;

          @media (max-width: @screen_tablet) {
            padding: 10px 8px;
            font-size: 11px;
            margin-bottom: 10px;
          }
        }

        &:last-of-type {
          margin-bottom: 20px;

          @media (max-width: @screen_tablet) {
            margin-bottom: 20px;
          }
        }
      }

      input:valid {
        border: 1px solid transparent;
      }

      input:invalid {
        border: 1px solid @primary_color;
      }

      .textarea {
        display: block;
        border: transparent;
        width: 100%;
        padding: 15px 10px;
        border-radius: 5px;
        margin: 0 auto 30px;
        font-size: 12px;
        font-family: @font_second;
      }

      .button.-rectangle {
        & {
          max-width: 160px;
          color: #fff;
          background-color: @primary_color;
          margin: 0 auto 30px;
          letter-spacing: 1.5px;
          font-size: 14px;

          @media (max-width: @screen_tablet) {
            font-size: 12px;
            letter-spacing: 1px;
          }
        }

        &:focus,
        &:hover {
          box-shadow: 9px 3px 5px 2px rgb(225 225 225 / 30%);
        }
      }
    }

    .line {
      font-size: 12px;
      width: 100%;
      font-weight: 300;

      @media (max-width: @screen_tablet) {
        font-size: 10px;
      }
    }
  }
}
